<?php

class UsuarioController extends GxController {

public function filters() {
	return array(
			'accessControl', 
			);
}

public function accessRules() {
	return array(
			array('allow', 
				'actions'=>array('index', 'view'),
				'users'=>array('@'),
				),
			array('allow', 
				'actions'=>array('minicreate', 'create', 'update', 'admin', 'delete', 'getUsuarios'),
				'users'=>array('informatica', 'Mabel Rojo'),
				),
			array('deny', 
				'users'=>array('*'),
				),
			);
}

	public function actionView($id) {
		$this->render('view', array(
			'model' => $this->loadModel($id, 'Usuario'),
		));
	}

	public function actionCreate() {
		$model = new Usuario;


		if (isset($_POST['Usuario'])) {
			$model->setAttributes($_POST['Usuario']);

			if ($model->save()) {
				// Si el usuario es Jefe, se agrega a la tabla encargados de area.
				if ($model->tipoUsuario->tipo_usuario_descripcion == "JEFE DE AREA") {
					$Jefe = new Encargados();
					$Jefe->id_area			 = $model->area_id;
					$Jefe->id_encargado_area = $model->usuario_id;
					$Jefe->save();
				}

				if (Yii::app()->getRequest()->getIsAjaxRequest())
					Yii::app()->end();
				else
					$this->redirect(array('view', 'id' => $model->usuario_id));
			}
		}

		$this->render('create', array( 'model' => $model));
	}

	public function actionUpdate($id) {
		$model = $this->loadModel($id, 'Usuario');


		if (isset($_POST['Usuario'])) {
			$model->setAttributes($_POST['Usuario']);

			if ($model->save()) {
				
				// Si el usuario es Jefe, se agrega a la tabla encargados de area.
				$criteria = new CDbCriteria();
				$criteria->condition = 'id_area=:id_area AND id_encargado_area=:id_encargado_area';
				$criteria->params = array(':id_area'=>$model->area_id, ':id_encargado_area'=>$model->usuario_id);
				if ($model->tipoUsuario->tipo_usuario_descripcion == "JEFE DE AREA") {
					// Dar el alta el jefe si no existe
					if ( !Encargados::model()->exists( $criteria ) ) {
						$Jefe = new Encargados();
						$Jefe->id_area			 = $model->area_id;
						$Jefe->id_encargado_area = $model->usuario_id;
						$Jefe->save();
					}
				}else{
					//Dar de baja el jefe si existe
					if ( Encargados::model()->exists( $criteria ) ) {
						$Jefe = Encargados::model()->find( $criteria );
						$Jefe->delete();
					}
				}

				$this->redirect(array('view', 'id' => $model->usuario_id));
			}
		}

		$this->render('update', array(
				'model' => $model,
				));
	}

	public function actionDelete($id) {
		if (Yii::app()->getRequest()->getIsPostRequest()) {
			$this->loadModel($id, 'Usuario')->delete();

			if (!Yii::app()->getRequest()->getIsAjaxRequest())
				$this->redirect(array('admin'));
		} else
			throw new CHttpException(400, Yii::t('app', 'Your request is invalid.'));
	}

	public function actionIndex() {
		$dataProvider = new CActiveDataProvider('Usuario');
		$this->render('index', array(
			'dataProvider' => $dataProvider,
		));
	}

	public function actionAdmin() {
		$model = new Usuario('search');
		$model->unsetAttributes();

		if (isset($_GET['Usuario']))
			$model->setAttributes($_GET['Usuario']);

		$this->render('admin', array(
			'model' => $model,
		));
	}

	public function actiongetUsuarios() {
		$q = 'SELECT usuario_id, CONCAT(usuario_apellido, " ", usuario_nombre) AS value FROM usuario
		WHERE CONCAT(usuario_apellido, " ",  usuario_nombre) LIKE ? LIMIT 20';
		$cmd = Yii::app()->db->createCommand($q);
		$result = $cmd->query(array('%' . $_GET['term'] . '%'));
		$data = array();
		foreach ($result as $row) {
			$data[] = $row;
		}
		echo CJSON::encode($data);
		Yii::app()->end();
	}

}