<?php

/**
 * This is the model base class for the table "area".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "Area".
 *
 * Columns in table "area" available as properties of the model,
 * followed by relations of table "area" available as properties of the model.
 *
 * @property integer $area_id
 * @property string $area_descripcion
 * @property integer $dependencia_id
 *
 * @property Dependencia $dependencia
 * @property Encargados[] $encargadoses
 * @property Usuario[] $usuarios
 */
abstract class BaseArea extends GxActiveRecord {

	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	public function tableName() {
		return 'area';
	}

	public static function label($n = 1) {
		return Yii::t('app', 'Area|Areas', $n);
	}

	public static function representingColumn() {
		return 'area_descripcion';
	}

	public function rules() {
		return array(
			array('area_descripcion, dependencia_id', 'required'),
			array('dependencia_id', 'numerical', 'integerOnly'=>true),
			array('area_descripcion', 'length', 'max'=>200),
			array('area_id, area_descripcion, dependencia_id', 'safe', 'on'=>'search'),
		);
	}

	public function relations() {
		return array(
			'dependencia' => array(self::BELONGS_TO, 'Dependencia', 'dependencia_id'),
			'encargadoses' => array(self::HAS_MANY, 'Encargados', 'id_area'),
			'usuarios' => array(self::HAS_MANY, 'Usuario', 'area_id'),
		);
	}

	public function pivotModels() {
		return array(
		);
	}

	public function attributeLabels() {
		return array(
			'area_id' => Yii::t('app', 'Area'),
			'area_descripcion' => Yii::t('app', 'Area Descripcion'),
			'dependencia_id' => null,
			'dependencia' => null,
			'encargadoses' => null,
			'usuarios' => null,
		);
	}

	public function search() {
		$criteria = new CDbCriteria;

		$criteria->compare('area_id', $this->area_id);
		$criteria->compare('area_descripcion', $this->area_descripcion, true);
		$criteria->compare('dependencia_id', $this->dependencia_id);

		return new CActiveDataProvider($this, array(
			'criteria' => $criteria,
		));
	}
}