<?php

/**
 * This is the model base class for the table "categoria".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "Categoria".
 *
 * Columns in table "categoria" available as properties of the model,
 * followed by relations of table "categoria" available as properties of the model.
 *
 * @property integer $categoria_id
 * @property string $categoria_descripcion
 * @property string $categoria_comentario
 *
 * @property Usuario[] $usuarios
 */
abstract class BaseCategoria extends GxActiveRecord {

	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	public function tableName() {
		return 'categoria';
	}

	public static function label($n = 1) {
		return Yii::t('app', 'Categoria|Categorias', $n);
	}

	public static function representingColumn() {
		return 'categoria_descripcion';
	}

	public function rules() {
		return array(
			array('categoria_descripcion, categoria_comentario', 'required'),
			array('categoria_descripcion', 'length', 'max'=>100),
			array('categoria_comentario', 'length', 'max'=>200),
			array('categoria_id, categoria_descripcion, categoria_comentario', 'safe', 'on'=>'search'),
		);
	}

	public function relations() {
		return array(
			'usuarios' => array(self::HAS_MANY, 'Usuario', 'categoria_id'),
		);
	}

	public function pivotModels() {
		return array(
		);
	}

	public function attributeLabels() {
		return array(
			'categoria_id' => Yii::t('app', 'Categoria'),
			'categoria_descripcion' => Yii::t('app', 'Categoria Descripcion'),
			'categoria_comentario' => Yii::t('app', 'Categoria Comentario'),
			'usuarios' => null,
		);
	}

	public function search() {
		$criteria = new CDbCriteria;

		$criteria->compare('categoria_id', $this->categoria_id);
		$criteria->compare('categoria_descripcion', $this->categoria_descripcion, true);
		$criteria->compare('categoria_comentario', $this->categoria_comentario, true);

		return new CActiveDataProvider($this, array(
			'criteria' => $criteria,
		));
	}
}