<?php

/**
 * This is the model base class for the table "encargados".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "Encargados".
 *
 * Columns in table "encargados" available as properties of the model,
 * followed by relations of table "encargados" available as properties of the model.
 *
 * @property integer $encargado_id
 * @property integer $id_area
 * @property integer $id_encargado_area
 * @property integer $activo
 *
 * @property Area $idArea
 * @property Usuario $idEncargadoArea
 */
abstract class BaseEncargados extends GxActiveRecord {

	public $apellido;
	public $nombre;

	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	public function tableName() {
		return 'encargados';
	}

	public static function label($n = 1) {
		return Yii::t('app', 'Encargado|Encargados', $n);
	}

	public static function representingColumn() {
		return 'encargado_id';
	}

	public function rules() {
		return array(
			array('id_area, id_encargado_area', 'required'),
			array('id_area, id_encargado_area, activo', 'numerical', 'integerOnly'=>true),
			array('activo', 'default', 'setOnEmpty' => true, 'value' => null),
			array('encargado_id, id_area, id_encargado_area, activo', 'safe', 'on'=>'search'),
			array('apellido, nombre', 'safe', 'on'=>'search'),
		);
	}

	public function relations() {
		return array(
			'idArea'		  => array(self::BELONGS_TO, 'Area', 'id_area'),
			'idEncargadoArea' => array(self::BELONGS_TO, 'Usuario', 'id_encargado_area'),
		);
	}

	public function pivotModels() {
		return array(
		);
	}

	public function attributeLabels() {
		return array(
			'encargado_id'		=> Yii::t('app', 'Encargado'),
			'id_area'			=> null,
			'id_encargado_area' => null,
			'activo'			=> Yii::t('app', 'Activo'),
			'idArea'			=> null,
			'idEncargadoArea'	=> null,

			'apellido'			=> Yii::t('app', 'Apellido'),
			'nombre'			=> Yii::t('app', 'Nombre'),
		);
	}

	public function search() {
		$criteria = new CDbCriteria;
		$criteria->with		= array('idEncargadoArea');
		$criteria->together = true;
		
		$criteria->compare('encargado_id'	  , $this->encargado_id);
		$criteria->compare('id_area'		  , $this->id_area);
		$criteria->compare('id_encargado_area', $this->id_encargado_area);
		$criteria->compare('activo'			  , $this->activo);

		$criteria->compare( 'idEncargadoArea.usuario_apellido', $this->apellido, true );
		$criteria->compare( 'idEncargadoArea.usuario_nombre'   , $this->nombre	, true );

		return new CActiveDataProvider($this, array(
			'criteria' => $criteria,
		));
	}
}