<?php

/**
 * This is the model base class for the table "formulario".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "Formulario".
 *
 * Columns in table "formulario" available as properties of the model,
 * followed by relations of table "formulario" available as properties of the model.
 *
 * @property integer $formulario_id
 * @property integer $tipo_licencia_id
 * @property string $formulario_dia_desde
 * @property string $formulario_dia_hasta
 * @property string $formulario_explicacion
 * @property integer $usuario_id
 * @property string $formulario_fecha_hora_registro
 * @property string $formulario_fecha_hora_aprobacion
 * @property string $formulario_estado
 * @property integer $area_origen
 * @property integer $area_destino
 * @property string $formulario_afectacion
 * @property string $url_firma_agente
 * @property integer $control_alertweb
 * @property integer $usuario_id_destino
 *
 * @property Licencias $tipoLicencia
 * @property Usuario $usuario
 * @property Usuario $usuarioIdDestino
 * @property FormularioFirmas[] $formularioFirmases
 * @property FormularioImg[] $formularioImgs
 * @property PerNotiForm[] $perNotiForms
 * @property PerPrintFor[] $perPrintFors
 */
abstract class BaseFormulario extends GxActiveRecord {

	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	public function tableName() {
		return 'formulario';
	}

	public static function label($n = 1) {
		return Yii::t('app', 'Formulario|Formularios', $n);
	}

	public static function representingColumn() {
		return 'formulario_dia_desde';
	}

	public function rules() {
		return array(
			array('tipo_licencia_id, formulario_dia_desde, formulario_dia_hasta, formulario_explicacion, usuario_id, formulario_fecha_hora_registro, formulario_fecha_hora_aprobacion, formulario_estado, area_origen, area_destino, usuario_id_destino', 'required'),
			array('tipo_licencia_id, usuario_id, area_origen, area_destino, control_alertweb, usuario_id_destino', 'numerical', 'integerOnly'=>true),
			array('formulario_estado, formulario_afectacion', 'length', 'max'=>100),
			array('url_firma_agente', 'length', 'max'=>500),
			array('formulario_afectacion, url_firma_agente, control_alertweb', 'default', 'setOnEmpty' => true, 'value' => null),
			array('formulario_id, tipo_licencia_id, formulario_dia_desde, formulario_dia_hasta, formulario_explicacion, usuario_id, formulario_fecha_hora_registro, formulario_fecha_hora_aprobacion, formulario_estado, area_origen, area_destino, formulario_afectacion, url_firma_agente, control_alertweb, usuario_id_destino', 'safe', 'on'=>'search'),
		);
	}

	public function relations() {
		return array(
			'tipoLicencia' => array(self::BELONGS_TO, 'Licencias', 'tipo_licencia_id'),
			'usuario' => array(self::BELONGS_TO, 'Usuario', 'usuario_id'),
			'usuarioIdDestino' => array(self::BELONGS_TO, 'Usuario', 'usuario_id_destino'),
			'formularioFirmases' => array(self::HAS_MANY, 'FormularioFirmas', 'formulario_id'),
			'formularioImgs' => array(self::HAS_MANY, 'FormularioImg', 'formulario_id'),
			'perNotiForms' => array(self::HAS_MANY, 'PerNotiForm', 'formulario_id'),
			'perPrintFors' => array(self::HAS_MANY, 'PerPrintFor', 'formulario_id'),
		);
	}

	public function pivotModels() {
		return array(
		);
	}

	public function attributeLabels() {
		return array(
			'formulario_id' => Yii::t('app', 'Formulario'),
			'tipo_licencia_id' => null,
			'formulario_dia_desde' => Yii::t('app', 'Formulario Dia Desde'),
			'formulario_dia_hasta' => Yii::t('app', 'Formulario Dia Hasta'),
			'formulario_explicacion' => Yii::t('app', 'Formulario Explicacion'),
			'usuario_id' => null,
			'formulario_fecha_hora_registro' => Yii::t('app', 'Formulario Fecha Hora Registro'),
			'formulario_fecha_hora_aprobacion' => Yii::t('app', 'Formulario Fecha Hora Aprobacion'),
			'formulario_estado' => Yii::t('app', 'Formulario Estado'),
			'area_origen' => Yii::t('app', 'Area Origen'),
			'area_destino' => Yii::t('app', 'Area Destino'),
			'formulario_afectacion' => Yii::t('app', 'Formulario Afectacion'),
			'url_firma_agente' => Yii::t('app', 'Url Firma Agente'),
			'control_alertweb' => Yii::t('app', 'Control Alertweb'),
			'usuario_id_destino' => null,
			'tipoLicencia' => null,
			'usuario' => null,
			'usuarioIdDestino' => null,
			'formularioFirmases' => null,
			'formularioImgs' => null,
			'perNotiForms' => null,
			'perPrintFors' => null,
		);
	}

	public function search() {
		$criteria = new CDbCriteria;

		$criteria->compare('formulario_id', $this->formulario_id);
		$criteria->compare('tipo_licencia_id', $this->tipo_licencia_id);
		$criteria->compare('formulario_dia_desde', $this->formulario_dia_desde, true);
		$criteria->compare('formulario_dia_hasta', $this->formulario_dia_hasta, true);
		$criteria->compare('formulario_explicacion', $this->formulario_explicacion, true);
		$criteria->compare('usuario_id', $this->usuario_id);
		$criteria->compare('formulario_fecha_hora_registro', $this->formulario_fecha_hora_registro, true);
		$criteria->compare('formulario_fecha_hora_aprobacion', $this->formulario_fecha_hora_aprobacion, true);
		$criteria->compare('formulario_estado', $this->formulario_estado, true);
		$criteria->compare('area_origen', $this->area_origen);
		$criteria->compare('area_destino', $this->area_destino);
		$criteria->compare('formulario_afectacion', $this->formulario_afectacion, true);
		$criteria->compare('url_firma_agente', $this->url_firma_agente, true);
		$criteria->compare('control_alertweb', $this->control_alertweb);
		$criteria->compare('usuario_id_destino', $this->usuario_id_destino);

		return new CActiveDataProvider($this, array(
			'criteria' => $criteria,
		));
	}
}