<?php

/**
 * This is the model base class for the table "sesion_biometrica".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "SesionBiometrica".
 *
 * Columns in table "sesion_biometrica" available as properties of the model,
 * followed by relations of table "sesion_biometrica" available as properties of the model.
 *
 * @property integer $sesion_biometrica_id
 * @property string $token_dispositivo
 * @property integer $usuario_id
 * @property integer $biometria_activada
 *
 * @property Usuario $usuario
 */
abstract class BaseSesionBiometrica extends GxActiveRecord {

	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	public function tableName() {
		return 'sesion_biometrica';
	}

	public static function label($n = 1) {
		return Yii::t('app', 'SesionBiometrica|SesionBiometricas', $n);
	}

	public static function representingColumn() {
		return 'token_dispositivo';
	}

	public function rules() {
		return array(
			array('token_dispositivo, usuario_id, biometria_activada', 'required'),
			array('usuario_id, biometria_activada', 'numerical', 'integerOnly'=>true),
			array('sesion_biometrica_id, token_dispositivo, usuario_id, biometria_activada', 'safe', 'on'=>'search'),
		);
	}

	public function relations() {
		return array(
			'usuario' => array(self::BELONGS_TO, 'Usuario', 'usuario_id'),
		);
	}

	public function pivotModels() {
		return array(
		);
	}

	public function attributeLabels() {
		return array(
			'sesion_biometrica_id' => Yii::t('app', 'Sesion Biometrica'),
			'token_dispositivo' => Yii::t('app', 'Token Dispositivo'),
			'usuario_id' => null,
			'biometria_activada' => Yii::t('app', 'Biometria Activada'),
			'usuario' => null,
		);
	}

	public function search() {
		$criteria = new CDbCriteria;

		$criteria->compare('sesion_biometrica_id', $this->sesion_biometrica_id);
		$criteria->compare('token_dispositivo', $this->token_dispositivo, true);
		$criteria->compare('usuario_id', $this->usuario_id);
		$criteria->compare('biometria_activada', $this->biometria_activada);

		return new CActiveDataProvider($this, array(
			'criteria' => $criteria,
		));
	}
}