<?php

$this->breadcrumbs = array(
	$model->label(2) => array('index'),
	Yii::t('app', 'Manage'),
);

$this->menu = array(
		array('label'=>Yii::t('app', 'List') . ' ' . $model->label(2), 'url'=>array('index')),
		array('label'=>Yii::t('app', 'Create') . ' ' . $model->label(), 'url'=>array('create')),
	);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$.fn.yiiGridView.update('formulario-grid', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h1><?php echo Yii::t('app', 'Manage') . ' ' . GxHtml::encode($model->label(2)); ?></h1>

<p>
You may optionally enter a comparison operator (&lt;, &lt;=, &gt;, &gt;=, &lt;&gt; or =) at the beginning of each of your search values to specify how the comparison should be done.
</p>

<?php echo GxHtml::link(Yii::t('app', 'Advanced Search'), '#', array('class' => 'search-button')); ?>
<div class="search-form">
<?php $this->renderPartial('_search', array(
	'model' => $model,
)); ?>
</div><!-- search-form -->

<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id' => 'formulario-grid',
	'dataProvider' => $model->search(),
	'filter' => $model,
	'columns' => array(
		'formulario_id',
		array(
				'name'=>'tipo_licencia_id',
				'value'=>'GxHtml::valueEx($data->tipoLicencia)',
				'filter'=>GxHtml::listDataEx(Licencias::model()->findAllAttributes(null, true)),
				),
		'formulario_dia_desde',
		'formulario_dia_hasta',
		'formulario_explicacion',
		array(
				'name'=>'usuario_id',
				'value'=>'GxHtml::valueEx($data->usuario)',
				'filter'=>GxHtml::listDataEx(Usuario::model()->findAllAttributes(null, true)),
				),
		/*
		'formulario_fecha_hora_registro',
		'formulario_fecha_hora_aprobacion',
		'formulario_estado',
		'area_origen',
		'area_destino',
		'formulario_afectacion',
		'url_firma_agente',
		array(
					'name' => 'control_alertweb',
					'value' => '($data->control_alertweb === 0) ? Yii::t(\'app\', \'No\') : Yii::t(\'app\', \'Yes\')',
					'filter' => array('0' => Yii::t('app', 'No'), '1' => Yii::t('app', 'Yes')),
					),
		array(
				'name'=>'usuario_id_destino',
				'value'=>'GxHtml::valueEx($data->usuarioIdDestino)',
				'filter'=>GxHtml::listDataEx(Usuario::model()->findAllAttributes(null, true)),
				),
		*/
		array(
			'class' => 'CButtonColumn',
		),
	),
)); ?>